#ifndef _KPOWERSAVE_DEBUG_H
#define _KPOWERSAVE_DEBUG_H

// Global Header
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

// Default Header
#include <stdio.h>
#include <stdlib.h>

// QT - Header
#include <qdatetime.h>

/* #define ENABLE_DEBUG_MSG_MODE 1 for debugging or call ./configure --enable-debug-msg */
#ifdef ENABLE_DEBUG_MSG_MODE
#define myDebug(x, y...) {							\
	fprintf(stderr, " %s:%d:\t", QTime::currentTime().toString().ascii(), 	\
				   QTime::currentTime().msec());		\
	qDebug(x, ## y);							\
}
#else
#define myDebug(x, y...) do{}while(0);
#endif 

#endif //_KPOWERSAVE_DEBUG_H
